| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Protocols
Protocols.SMTP
Protocols.SMTP.Client

# Method Protocols.SMTP.Client()->simple_mail()

Method simple_mail

  `void simple_mail(string to, string subject, string from, string msg)`

Description

  Sends an e-mail. Wrapper function that uses send_message .

Note

  Some important headers are set to: `"Content-Type: text/plain; charset=iso-8859-1"` and `"Content-Transfer-Encoding: 8bit"`. `"Date:"` header isn't used at all.

Throws

  If the mail server returns any other return code than 200-399 an exception will be thrown.